Index: /code/branches/presentationHS12/data/levels/presentationHS12.oxw
===================================================================
--- /code/branches/presentationHS12/data/levels/presentationHS12.oxw	(revision 9524)
+++ /code/branches/presentationHS12/data/levels/presentationHS12.oxw	(revision 9525)
@@ -79,11 +79,11 @@
             </RaceCheckPoint>
 
-            <RaceCheckPoint name="checkpoint3" position="1200,-400,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="2" islast="false" nextcheckpoints="5,-1,-1">
-                <attached>
-                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
-                </attached>
-            </RaceCheckPoint>
-
-            <RaceCheckPoint name="checkpoint4" position="1200,100,700" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="3" islast="false" nextcheckpoints="6,-1,-1">
+            <RaceCheckPoint name="checkpoint3" position="1200,-400,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="2" islast="false" nextcheckpoints="4,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint4" position="1200,100,700" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="3" islast="false" nextcheckpoints="5,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
@@ -92,17 +92,11 @@
 
 <!--- second three alternative paths --->
-            <!--RaceCheckPoint name="checkpoint5" position="2000,500,-400" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="4" islast="false" nextcheckpoints="7,-1,-1">
-                <attached>
-                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
-                </attached>
-            </RaceCheckPoint-->
-
-            <RaceCheckPoint name="checkpoint6" position="2000,0,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="5" islast="false" nextcheckpoints="8,9,-1">
-                <attached>
-                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
-                </attached>
-            </RaceCheckPoint>
-
-            <RaceCheckPoint name="checkpoint7" position="2000,-500,400" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="6" islast="false" nextcheckpoints="10,-1,-1">
+            <RaceCheckPoint name="checkpoint5" position="2000,0,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="4" islast="false" nextcheckpoints="7,8,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint6" position="2000,-500,400" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="5" islast="false" nextcheckpoints="9,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
@@ -113,5 +107,5 @@
 <!--- third generation --->
 
-            <RaceCheckPoint name="checkpoint8" position="5000,0,-3000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="7" islast="false" nextcheckpoints="12,-1,-1">
+            <RaceCheckPoint name="checkpoint7" position="5000,0,-3000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="6" islast="false" nextcheckpoints="11,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=135 />
@@ -119,17 +113,17 @@
             </RaceCheckPoint>
 
-            <RaceCheckPoint name="checkpoint9" position="3500,800,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="8" islast="false" nextcheckpoints="11,-1,-1">
-                <attached>
-                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
-                </attached>
-            </RaceCheckPoint>
-
-            <RaceCheckPoint name="checkpoint10" position="3500,-800,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="9" islast="false" nextcheckpoints="11,-1,-1">
-                <attached>
-                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
-                </attached>
-            </RaceCheckPoint>
-
-            <RaceCheckPoint name="checkpoint11" position="3500,0,1000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="10" islast="false" nextcheckpoints="12,-1,-1">
+            <RaceCheckPoint name="checkpoint8" position="3500,800,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="7" islast="false" nextcheckpoints="10,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint9" position="3500,-800,0" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="8" islast="false" nextcheckpoints="10,-1,-1">
+                <attached>
+                    <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
+                </attached>
+            </RaceCheckPoint>
+
+            <RaceCheckPoint name="checkpoint10" position="3500,0,1000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="9" islast="false" nextcheckpoints="11,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
@@ -138,5 +132,5 @@
 
 <!-- Intermediate Solo Gate -->
-            <RaceCheckPoint name="checkpoint12" position="4500,0,-100" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
+            <RaceCheckPoint name="checkpoint11" position="4500,0,-100" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="10" islast="false" nextcheckpoints="11,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=90 />
@@ -145,5 +139,5 @@
 
 <!----  First Common Point  ---->
-            <RaceCheckPoint name="checkpoint13" position="6000,0,2000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="12" islast="false" nextcheckpoints="13,14,-1">
+            <RaceCheckPoint name="checkpoint12" position="6000,0,2000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="11" islast="false" nextcheckpoints="12,14,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=45 />
@@ -152,5 +146,5 @@
 
 <!-- Two Paths (1) -->
-            <RaceCheckPoint name="checkpoint14" position="7500,-1500,2500" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="13" islast="false" nextcheckpoints="15,-1,-1">
+            <RaceCheckPoint name="checkpoint13" position="7500,-1500,2500" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="12" islast="false" nextcheckpoints="14,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=130 roll=1 />
@@ -158,5 +152,5 @@
             </RaceCheckPoint>
 
-            <RaceCheckPoint name="checkpoint15" position="7500,-1500,1500" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="14" islast="false" nextcheckpoints="16,-1,-1">
+            <RaceCheckPoint name="checkpoint14" position="7500,-1500,1500" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="13" islast="false" nextcheckpoints="15,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=90 />
@@ -165,5 +159,5 @@
 
 <!-- Two Paths (2) -->
-            <RaceCheckPoint name="checkpoint16" position="9000,-3000, 3000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="15" islast="false" nextcheckpoints="17,-1,-1">
+            <RaceCheckPoint name="checkpoint15" position="9000,-3000, 3000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="14" islast="false" nextcheckpoints="16,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=130 roll=1 />
@@ -171,5 +165,5 @@
             </RaceCheckPoint>
 
-            <RaceCheckPoint name="checkpoint17" position="9000,-3000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="16" islast="false" nextcheckpoints="17,-1,-1">
+            <RaceCheckPoint name="checkpoint16" position="9000,-3000,1000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="15" islast="false" nextcheckpoints="16,-1,-1">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=110 />
@@ -178,5 +172,5 @@
 
 <!-- GOAL -->
-            <RaceCheckPoint name="checkpoint18" position="12000,-4000,2000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="17" islast="true">
+            <RaceCheckPoint name="checkpoint17" position="12000,-4000,2000" direction="0,-1,1" collisionType="static" scale="1" distance="100" checkpointindex="16" islast="true">
                 <attached>
                     <Model mass="50" scale="6" mesh="BigSpacegate.mesh" yaw=100 pitch=135 />
Index: /code/branches/presentationHS12/data/levels/turretTest.oxw
===================================================================
--- /code/branches/presentationHS12/data/levels/turretTest.oxw	(revision 9524)
+++ /code/branches/presentationHS12/data/levels/turretTest.oxw	(revision 9525)
@@ -44,5 +44,5 @@
 
 
-<SpaceShip position="0,10,0" pitch="90" yaw="0" roll="0">
+<Turret position="0,10,0" pitch="90" yaw="0" roll="0">
     <templates>
         <Template link=spaceshipturret />
@@ -52,5 +52,8 @@
         </WaypointPatrolController>
      </controller>
-</SpaceShip>
+</Turret>
+
+
+
     
   </Scene>