Index: /code/branches/core6/src/libraries/core/Core.h
===================================================================
--- /code/branches/core6/src/libraries/core/Core.h	(revision 9577)
+++ /code/branches/core6/src/libraries/core/Core.h	(revision 9578)
@@ -66,5 +66,5 @@
         You should only create this singleton once because it destroys the identifiers!
     */
-    class _CoreExport Core : public Singleton<Core>, public OrxonoxClass
+    class _CoreExport Core : public Singleton<Core>, public Configurable
     {
         friend class Singleton<Core>;
Index: /code/branches/core6/src/libraries/core/Game.h
===================================================================
--- /code/branches/core6/src/libraries/core/Game.h	(revision 9577)
+++ /code/branches/core6/src/libraries/core/Game.h	(revision 9578)
@@ -50,5 +50,5 @@
 #include "util/DestructionHelper.h"
 #include "util/Singleton.h"
-#include "class/OrxonoxClass.h"
+#include "config/Configurable.h"
 
 /**
@@ -82,5 +82,5 @@
     class _CoreExport Game
 // tolua_end
-        : public Singleton<Game>, public OrxonoxClass
+        : public Singleton<Game>, public Configurable
     { // tolua_export
         friend class Singleton<Game>;
Index: /code/branches/core6/src/libraries/core/GraphicsManager.h
===================================================================
--- /code/branches/core6/src/libraries/core/GraphicsManager.h	(revision 9577)
+++ /code/branches/core6/src/libraries/core/GraphicsManager.h	(revision 9578)
@@ -52,5 +52,5 @@
 #include "util/DestructionHelper.h"
 #include "util/Singleton.h"
-#include "class/OrxonoxClass.h"
+#include "config/Configurable.h"
 
 // tolua_begin
@@ -63,5 +63,5 @@
     class _CoreExport GraphicsManager
 // tolua_end
-        : public Singleton<GraphicsManager>, public OrxonoxClass, public Ogre::LogListener
+        : public Singleton<GraphicsManager>, public Configurable, public Ogre::LogListener
     { // tolua_export
         friend class Singleton<GraphicsManager>;
Index: /code/branches/core6/src/libraries/core/command/Shell.cc
===================================================================
--- /code/branches/core6/src/libraries/core/command/Shell.cc	(revision 9577)
+++ /code/branches/core6/src/libraries/core/command/Shell.cc	(revision 9578)
@@ -96,5 +96,5 @@
     Shell::~Shell()
     {
-        this->inputBuffer_->destroy();
+        delete this->inputBuffer_;
 
         OutputManager::getInstance().unregisterListener(this);
Index: /code/branches/core6/src/libraries/core/input/InputBuffer.h
===================================================================
--- /code/branches/core6/src/libraries/core/input/InputBuffer.h	(revision 9577)
+++ /code/branches/core6/src/libraries/core/input/InputBuffer.h	(revision 9578)
@@ -34,5 +34,5 @@
 #include <list>
 #include <string>
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 #include "InputHandler.h"
 
@@ -74,5 +74,5 @@
     };
 
-    class _CoreExport InputBuffer : public InputHandler, public OrxonoxClass
+    class _CoreExport InputBuffer : public InputHandler, public Configurable
     {
         public:
Index: /code/branches/core6/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/core6/src/libraries/core/input/InputManager.cc	(revision 9577)
+++ /code/branches/core6/src/libraries/core/input/InputManager.cc	(revision 9578)
@@ -280,5 +280,5 @@
         this->destroyState("calibrator");
         // Destroy KeyDetector and state
-        calibratorCallbackHandler_->destroy();
+        delete calibratorCallbackHandler_;
         // Destroy the empty InputState
         this->destroyStateInternal(this->emptyState_);
Index: /code/branches/core6/src/libraries/core/input/KeyBinderManager.h
===================================================================
--- /code/branches/core6/src/libraries/core/input/KeyBinderManager.h	(revision 9577)
+++ /code/branches/core6/src/libraries/core/input/KeyBinderManager.h	(revision 9578)
@@ -36,5 +36,5 @@
 
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 
 namespace orxonox //tolua_export
@@ -53,5 +53,5 @@
     */
     class _CoreExport KeyBinderManager //tolua_export
-        : public Singleton<KeyBinderManager>, public OrxonoxClass
+        : public Singleton<KeyBinderManager>, public Configurable
     { //tolua_export
         friend class Singleton<KeyBinderManager>;
Index: /code/branches/core6/src/libraries/network/WANDiscovery.h
===================================================================
--- /code/branches/core6/src/libraries/network/WANDiscovery.h	(revision 9577)
+++ /code/branches/core6/src/libraries/network/WANDiscovery.h	(revision 9578)
@@ -32,5 +32,5 @@
 #include "packet/ServerInformation.h"
 #include "core/CoreIncludes.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 #include "core/config/ConfigValueIncludes.h"
 #include "MasterServerComm.h"
@@ -47,5 +47,5 @@
   class _NetworkExport WANDiscovery
 // tolua_end
-    : public OrxonoxClass
+    : public Configurable
   { // tolua_export
     public:
Index: /code/branches/core6/src/modules/designtools/ScreenshotManager.h
===================================================================
--- /code/branches/core6/src/modules/designtools/ScreenshotManager.h	(revision 9577)
+++ /code/branches/core6/src/modules/designtools/ScreenshotManager.h	(revision 9578)
@@ -44,5 +44,5 @@
 
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 
 namespace orxonox
@@ -61,5 +61,5 @@
     @ingroup Designtools
     */
-    class ScreenshotManager : public OrxonoxClass, public Singleton<ScreenshotManager>
+    class ScreenshotManager : public Configurable, public Singleton<ScreenshotManager>
     {
         friend class Singleton<ScreenshotManager>;
Index: /code/branches/core6/src/modules/designtools/SkyboxGenerator.h
===================================================================
--- /code/branches/core6/src/modules/designtools/SkyboxGenerator.h	(revision 9577)
+++ /code/branches/core6/src/modules/designtools/SkyboxGenerator.h	(revision 9578)
@@ -36,5 +36,5 @@
 #define __SkyboxGenerator_h__
 
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 #include "util/Singleton.h"
 #include "tools/interfaces/Tickable.h"
@@ -58,5 +58,5 @@
     @ingroup Designtools
     */
-    class SkyboxGenerator : public virtual OrxonoxClass, public Singleton<SkyboxGenerator>, public Tickable
+    class SkyboxGenerator : public virtual Configurable, public Singleton<SkyboxGenerator>, public Tickable
     {
         friend class Singleton<SkyboxGenerator>;
Index: /code/branches/core6/src/modules/questsystem/QuestManager.cc
===================================================================
--- /code/branches/core6/src/modules/questsystem/QuestManager.cc	(revision 9577)
+++ /code/branches/core6/src/modules/questsystem/QuestManager.cc	(revision 9578)
@@ -38,5 +38,4 @@
 #include "util/ScopedSingletonManager.h"
 #include "core/command/ConsoleCommand.h"
-#include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
 #include "core/LuaState.h"
@@ -60,5 +59,4 @@
     QuestManager::QuestManager()
     {
-        RegisterRootObject(QuestManager);
         orxout(internal_info, context::quests) << "QuestManager created." << endl;
     }
Index: /code/branches/core6/src/modules/questsystem/QuestManager.h
===================================================================
--- /code/branches/core6/src/modules/questsystem/QuestManager.h	(revision 9577)
+++ /code/branches/core6/src/modules/questsystem/QuestManager.h	(revision 9578)
@@ -43,5 +43,4 @@
 
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
 
 namespace orxonox  // tolua_export
@@ -59,5 +58,5 @@
     */
     class _QuestsystemExport QuestManager  // tolua_export
-        : public Singleton<QuestManager>, public orxonox::OrxonoxClass
+        : public Singleton<QuestManager>
     { // tolua_export
 
Index: /code/branches/core6/src/orxonox/CameraManager.cc
===================================================================
--- /code/branches/core6/src/orxonox/CameraManager.cc	(revision 9577)
+++ /code/branches/core6/src/orxonox/CameraManager.cc	(revision 9578)
@@ -48,6 +48,4 @@
     CameraManager::CameraManager()
     {
-        RegisterRootObject(CameraManager);
-
         assert(GameMode::showsGraphics());
     }
Index: /code/branches/core6/src/orxonox/CameraManager.h
===================================================================
--- /code/branches/core6/src/orxonox/CameraManager.h	(revision 9577)
+++ /code/branches/core6/src/orxonox/CameraManager.h	(revision 9578)
@@ -41,9 +41,8 @@
 #include "util/OgreForwardRefs.h"
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport CameraManager : public Singleton<CameraManager>, public OrxonoxClass
+    class _OrxonoxExport CameraManager : public Singleton<CameraManager>
     {
             friend class Singleton<CameraManager>;
Index: /code/branches/core6/src/orxonox/LevelManager.h
===================================================================
--- /code/branches/core6/src/orxonox/LevelManager.h	(revision 9577)
+++ /code/branches/core6/src/orxonox/LevelManager.h	(revision 9578)
@@ -46,5 +46,5 @@
 
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 
 // tolua_begin
@@ -67,5 +67,5 @@
     class _OrxonoxExport LevelManager
     // tolua_end
-        : public Singleton<LevelManager>, public OrxonoxClass
+        : public Singleton<LevelManager>, public Configurable
     { // tolua_export
             friend class Singleton<LevelManager>;
Index: /code/branches/core6/src/orxonox/MoodManager.h
===================================================================
--- /code/branches/core6/src/orxonox/MoodManager.h	(revision 9577)
+++ /code/branches/core6/src/orxonox/MoodManager.h	(revision 9578)
@@ -34,5 +34,5 @@
 #include <string>
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 
 namespace orxonox
@@ -60,5 +60,5 @@
         The MoodManager class serves to allow for different musical themes in the game.
     */
-    class _OrxonoxExport MoodManager : public Singleton<MoodManager>, public OrxonoxClass
+    class _OrxonoxExport MoodManager : public Singleton<MoodManager>, public Configurable
     {
             friend class Singleton<MoodManager>;
@@ -74,5 +74,4 @@
 
         private:
-            ~MoodManager() {}
             void checkMoodValidity();
 
Index: /code/branches/core6/src/orxonox/gamestates/GSMainMenu.h
===================================================================
--- /code/branches/core6/src/orxonox/gamestates/GSMainMenu.h	(revision 9577)
+++ /code/branches/core6/src/orxonox/gamestates/GSMainMenu.h	(revision 9578)
@@ -34,9 +34,9 @@
 #include "util/OgreForwardRefs.h"
 #include "core/GameState.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport GSMainMenu : public GameState, public OrxonoxClass
+    class _OrxonoxExport GSMainMenu : public GameState, public Configurable
     {
     public:
Index: /code/branches/core6/src/orxonox/sound/SoundManager.h
===================================================================
--- /code/branches/core6/src/orxonox/sound/SoundManager.h	(revision 9577)
+++ /code/branches/core6/src/orxonox/sound/SoundManager.h	(revision 9578)
@@ -39,5 +39,5 @@
 
 #include "util/Singleton.h"
-#include "core/class/OrxonoxClass.h"
+#include "core/config/Configurable.h"
 #include "core/object/SmartPtr.h"
 
@@ -59,5 +59,5 @@
     class _OrxonoxExport SoundManager
     // tolua_end
-        : public Singleton<SoundManager>, public OrxonoxClass
+        : public Singleton<SoundManager>, public Configurable
     { // tolua_export
         friend class Singleton<SoundManager>;